Uploaded image for project: 'SonarPLI'
  1. SonarPLI
  2. SONARPLI-124

Require new SonarQube LTS (5.6)

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.4
    • Component/s: None
    • Labels:
      None

      Description

      Required:

      1. change of compatibility in declaration for the update center
      2. sonar-plugin-api has new groupId "org.sonarsource.sonarqube" since 5.2
      3. guava and commons-lang should be packaged into plugin - SONAR-6370
      4. license-api must be updated - LICENSE-57

      Polishing:

      1. no need to compute "lines" metric - SONAR-5077
      2. no need to set SQALE characteristics - SONAR-7364
      3. no need to define "common rules" - SONAR-6703

        Attachments

          Activity

            People

            Assignee:
            evgeny.mandrikov Evgeny Mandrikov
            Reporter:
            evgeny.mandrikov Evgeny Mandrikov
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Due:
              Created:
              Updated:
              Resolved: